{
  "name": "nteract-monorepo",
  "version": "0.0.0",
  "description": "Interactive literate coding notebook!",
  "repository": {
    "type": "git",
    "url": "https://github.com/nteract/nteract.git"
  },
  "keywords": [
    "jupyter",
    "electron",
    "notebook",
    "nteract",
    "data"
  ],
  "author": "nteract contributors",
  "license": "BSD-3-Clause",
  "bugs": {
    "url": "https://github.com/nteract/nteract/issues"
  },
  "homepage": "https://github.com/nteract/nteract",
  "scripts": {
    "app:desktop": "lerna run dev --stream --scope nteract",
    "app:jupyter-extension": "lerna run dev --stream --scope nteract-on-jupyter",
    "app:commuter": "echo \"\n[ Commuter app moved out of monorepo. See nteract/commuter repo. ]\n\"",
    "start": "npm run app:desktop",
    "spawn": "lerna run spawn --scope nteract",
    "spawn:debug": "lerna run spawn:debug --scope nteract",
    "lint": "npm run lint:ts",
    "lint:fix": "npm run lint:ts:fix",
    "lint:ts": "tslint --config tslint.json --project tsconfig.base.json --force --format stylish",
    "lint:ts:fix": "tslint --config tslint.json --project tsconfig.base.json --fix",
    "build:all": "tsc -b",
    "build:all:ci": "tsc -b --verbose",
    "build": "cross-env NODE_ENV=production npm run build:packages",
    "build:clean": "npm run build:packages -- --clean",
    "build:apps": "lerna run build --scope nteract --scope nteract-on-jupyter --parallel --stream",
    "build:desktop": "lerna run build --scope nteract --stream",
    "build:desktop:watch": "lerna run build:watch --scope nteract --stream",
    "build:packages": "tsc -b packages",
    "build:packages:ci": "npm run build:packages -- --verbose",
    "build:packages:watch": "npm run build:packages -- --watch",
    "build:icon": "./scripts/make_icons.sh && cd static/icons && iconutil -c icns nteract.iconset && mv nteract.icns ../icon.icns",
    "build:watch": "tsc -b packages --watch",
    "check:ship": "yarn && yarn verifyBeforePublish && yarn dist:all && open applications/desktop/dist/mac",
    "ship:desktop": "lerna run ship --scope nteract --stream",
    "docs": "styleguidist server",
    "docs:build": "styleguidist build",
    "predocs:deploy": "npm run docs:build",
    "docs:deploy": "now ./styleguide",
    "docs:promote": "cd ./styleguide && now alias",
    "package:docs": "typedoc --options typedoc.js packages/commutable packages/rx-jupyter packages/rx-binder packages/enchannel-zmq-backend packages/messaging packages/actions packages/selectors packages/fs-kernels packages/epics packages/types",
    "prepackage:docs:deploy": "npm run package:docs",
    "package:docs:deploy": "now ./nteract-packages",
    "package:docs:promote": "cd ./nteract-packages && now alias",
    "test": "jest --silent",
    "test:verbose": "jest --verbose",
    "test:unit": "npm run test",
    "test:coverage": "npm run test -- --coverage",
    "test:lint": "npm run lint",
    "diagnostics": "scripts/kernelspecs-diagnostics.js",
    "verifyBeforePublish": "npm run build:packages && npm run build:apps",
    "prepublishOnly": "npm run build:packages",
    "publish": "lerna run publish",
    "prettify": "prettier --write '**/*.{ts,tsx,js,json}' '!**/{dist,lib.git,.next,package.json,build,mathjax-electron}/**'",
    "pack": "lerna run pack --scope nteract --stream",
    "dist": "lerna run dist --scope nteract --stream",
    "dist:all": "lerna run dist:all --scope nteract --stream",
    "report:all": "npm run report:jext && npm run report:desktop",
    "report:jext": "tsc -b applications/jupyter-extension",
    "report:desktop": "tsc -b applications/desktop",
    "clean": "lerna clean --yes && npm run build:clean && rimraf node_modules",
    "lint:jupyterExtension": "cd ./applications/jupyter-extension && black --config ./pyproject.toml --check ."
  },
  "comment:jest": [
    "The types in our tests don't match up right yet, so we have",
    {
      "isolatedModules": true
    },
    "set in our ts-jest config. Once the test issues are fixed, we can remove",
    "this setting. Until then, if you want to check types to see how close we",
    "are, delete the line with `isolateModules: true` in the `ts-jest` config"
  ],
  "jest": {
    "preset": "ts-jest",
    "globals": {
      "ts-jest": {
        "tsConfig": "tsconfig.base.json",
        "isolatedModules": true
      }
    },
    "reporters": [
      "default",
      "jest-junit"
    ],
    "testURL": "http://localhost",
    "setupFiles": [
      "raf/polyfill",
      "./scripts/test-shim.ts",
      "./scripts/test-setup.ts"
    ],
    "moduleNameMapper": {
      "^@nteract/vega-embed-v2": "@nteract/vega-embed-v2",
      "^@nteract/vega-embed-v3": "@nteract/vega-embed-v3",
      "^@nteract/([^/]*)$": "<rootDir>/packages/$1/src",
      "^(ansi-to-react|enchannel-zmq-backend|fs-observable|rx-binder|rx-jupyter)$": "<rootDir>/packages/$1/src",
      "\\.css$": "<rootDir>/scripts/noop-module.ts"
    },
    "coveragePathIgnorePatterns": [
      "<rootDir>/scripts",
      "/node_modules/"
    ],
    "moduleFileExtensions": [
      "js",
      "jsx",
      "ts",
      "tsx"
    ],
    "snapshotSerializers": [
      "enzyme-to-json/serializer"
    ],
    "testMatch": [
      "**/__tests__/**/*.[tj]s?(x)",
      "**/?(*.)+(spec|test).[tj]s?(x)"
    ],
    "testPathIgnorePatterns": [
      "/node_modules/",
      "/__tests__/.*types\\.tsx?"
    ],
    "transform": {
      "^.+\\.tsx?$": "ts-jest"
    }
  },
  "lint-staged": {
    "*.tsx,*.ts,*.js,!*js.snap": [
      "prettier --write",
      "git add"
    ],
    "*.json,!package.json": [
      "prettier --write",
      "git add"
    ]
  },
  "private": true,
  "devDependencies": {
    "@types/codemirror": "^0.0.76",
    "@types/d3-collection": "^1.0.7",
    "@types/d3-interpolate": "^1.3.0",
    "@types/d3-scale": "^2.1.0",
    "@types/d3-shape": "^1.2.7",
    "@types/enzyme": "^3.1.15",
    "@types/enzyme-adapter-react-16": "^1.0.3",
    "@types/execa": "^0.9.0",
    "@types/file-saver": "^2.0.0",
    "@types/graphql": "^14.0.3",
    "@types/graphql-type-json": "^0.3.0",
    "@types/jest": "^24.0.0",
    "@types/jsonfile": "^5.0.0",
    "@types/leaflet": "^1.2.14",
    "@types/lodash": "^4.14.117",
    "@types/numeral": "^0.0.25",
    "@types/pidusage": "^2.0.0",
    "@types/react": "^16.4.18",
    "@types/react-color": "^3.0.0",
    "@types/react-dom": "^16.0.10",
    "@types/react-json-tree": "^0.6.8",
    "@types/react-notification-system": "^0.2.39",
    "@types/react-redux": "^7.0.0",
    "@types/react-syntax-highlighter": "^0.0.8",
    "@types/react-table": "^6.7.21",
    "@types/react-test-renderer": "^16.0.3",
    "@types/react-timeago": "^4.1.0",
    "@types/redux-immutable": "^4.0.0",
    "@types/redux-logger": "^3.0.6",
    "@types/semver": "^6.0.0",
    "@types/styled-components": "^4.1.4",
    "@types/webfontloader": "^1.6.29",
    "concurrently": "^4.0.0",
    "cpy-cli": "^2.0.0",
    "cross-env": "^5.2.0",
    "css-loader": "^2.0.0",
    "electron": "3.1.12",
    "electron-builder": "^20.38.4",
    "electron-context-menu": "^0.11.0",
    "electron-log": "^3.0.0",
    "electron-updater": "^4.0.6",
    "enzyme": "^3.3.0",
    "enzyme-adapter-react-16": "^1.1.1",
    "enzyme-to-json": "^3.3.1",
    "husky": "^3.0.0",
    "immutable": "^4.0.0-rc.12",
    "jest": "^24.0.0",
    "jest-junit": "^6.0.0",
    "jupyter-paths": "^2.0.0",
    "kernelspecs": "^2.0.0",
    "lerna": "^3.0.0",
    "lint-staged": "^9.0.0",
    "lodash": "^4.17.4",
    "lodash-webpack-plugin": "^0.11.4",
    "mkdirp": "^0.5.1",
    "node-fetch": "2.6.0",
    "portfinder": "^1.0.20",
    "prettier": "1.18.2",
    "prop-types": "^15.6.2",
    "raf": "^3.4.0",
    "react": "^16.3.2",
    "react-docgen-typescript": "^1.12.0",
    "react-dom": "^16.3.2",
    "react-notification-system": "^0.2.16",
    "react-redux": "^6.0.0",
    "react-styleguidist": "^9.1.2",
    "react-test-renderer": "^16.2.0",
    "redux": "^4.0.0",
    "redux-logger": "^3.0.6",
    "redux-observable": "^1.0.0",
    "regenerator-runtime": "^0.13.0",
    "remark-parse": "^6.0.0",
    "remark-stringify": "^6.0.0",
    "rimraf": "^2.6.2",
    "rxjs": "^6.3.3",
    "shell-env": "^3.0.0",
    "spawn-rx": "^3.0.0",
    "spawnteract": "^5.0.0",
    "style-loader": "^0.23.0",
    "ts-jest": "^24.0.0",
    "ts-loader": "^6.0.0",
    "ts-node": "^8.0.0",
    "tslint": "^5.12.1",
    "tslint-config-prettier": "^1.17.0",
    "tslint-eslint-rules":"^5.4.0",
    "tslint-react": "^4.0.0",
    "tslint-react-a11y": "^1.0.0",
    "tslint-react-perf": "^0.3.0",
    "typedoc": "^0.14.0",
    "typedoc-plugin-external-module-name": "^2.0.0",
    "typescript": "^3.2.2",
    "typescript-styled-plugin": "^0.14.0",
    "typescript-tslint-plugin": "^0.5.0",
    "unified": "^8.0.0",
    "unist-builder": "^1.0.2",
    "webfontloader": "^1.6.28",
    "webpack": "^4.28.3",
    "webpack-cli": "^3.2.1",
    "webpack-dev-server": "^3.1.14",
    "webpack-merge": "^4.2.1",
    "yargs": "^13.0.0"
  },
  "engines": {
    "node": ">=8.12.0"
  },
  "workspaces": {
    "packages": [
      "packages/*",
      "applications/*",
      "applications/jupyter-extension/nteract_on_jupyter"
    ],
    "nohoist": [
      "**/nteract/**"
    ]
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "dependencies": {}
}
